# Standard Jessie amd64 JOB definition for QEMU
device_type: qemu

job_name: qemu-amd64-standard-buster

timeouts:
  job:
    minutes: 10
  action:
    minutes: 2
priority: medium
visibility: public

context:
  arch: amd64

actions:
- deploy:
    timeout:
      minutes: 5
    to: tmpfs
    images:
        rootfs:
          image_arg: -drive format=qcow2,file={rootfs}
          url: https://images.validation.linaro.org/people.linaro.org/~remi.duraffort/qemu-images-2020-09-10/debian-buster.qcow2.zst
          compression: zstd
    os: debian
    root_partition: 1

- boot:
    method: qemu
    timeout:
      minutes: 2
    media: tmpfs
    prompts:
    - "root@debian:"
    auto_login:
      login_prompt: "login:"
      username: root

- test:
    timeout:
      minutes: 5
    definitions:
    - repository:
        metadata:
          format: Lava-Test Test Definition 1.0
          name: smoke-tests-basic
          description: "Basic system test command for Linaro Ubuntu images"
        run:
          steps:
          - printenv
      from: inline
      name: env-dut-inline
      path: inline/env-dut.yaml
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-net.yaml
      name: smoke-tests-net
      params:
        USE_NC: 1
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/smoke-tests-basic.yaml
      name: smoke-tests
    - repository: http://git.linaro.org/lava-team/lava-functional-tests.git
      from: git
      path: lava-test-shell/single-node/singlenode03.yaml
      name: singlenode-advanced
